package com.yihu.jw.restmodel.iot.platform;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.yihu.jw.entity.iot.platform.IotShareInterfaceDO;
import com.yihu.jw.restmodel.iot.common.BaseVO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.annotations.ApiParam;

import java.io.Serializable;

/**
 * @author 应用接口集合信息
 * @vsrsion 1.0
 * Created at 2020/5/6
 */
@JsonInclude(JsonInclude.Include.ALWAYS)
@ApiModel(value = "应用接口集合信息", description = "应用接口集合信息")
public class IotAppInterfacesVO  extends BaseVO implements Serializable {

    @ApiModelProperty("id")
    private String id;

    @ApiModelProperty("应用id")
    private String appId;

    @ApiModelProperty("应用名称")
    private String appName;

    @ApiModelProperty("公司名称")
    private String companyName;

    @ApiModelProperty("公司ID")
    private String companyId;


    @ApiModelProperty("共享接口信息")
    private IotShareInterfaceDO iotShareInterfaceDO;

    public String getAppName() {
        return appName;
    }

    public void setAppName(String appName) {
        this.appName = appName;
    }

    public IotShareInterfaceDO getIotShareInterfaceDO() {
        return iotShareInterfaceDO;
    }

    public void setIotShareInterfaceDO(IotShareInterfaceDO iotShareInterfaceDO) {
        this.iotShareInterfaceDO = iotShareInterfaceDO;
    }

    @Override
    public String getId() {
        return id;
    }

    @Override
    public void setId(String id) {
        this.id = id;
    }

    public String getAppId() {
        return appId;
    }

    public void setAppId(String appId) {
        this.appId = appId;
    }

    public String getCompanyName() {
        return companyName;
    }

    public void setCompanyName(String companyName) {
        this.companyName = companyName;
    }

    public String getCompanyId() {
        return companyId;
    }

    public void setCompanyId(String companyId) {
        this.companyId = companyId;
    }

}
